X509AttributeCertificateHolderSelector (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cert.selector

## Class X509AttributeCertificateHolderSelector

- java.lang.Object
- - org.bouncycastle.cert.selector.X509AttributeCertificateHolderSelector

- All Implemented Interfaces:
    java.lang.Cloneable, org.bouncycastle.util.Selector

      public class X509AttributeCertificateHolderSelector
      extends java.lang.Object
      implements org.bouncycastle.util.Selector

  This class is an `Selector` like implementation to select attribute certificates from a given set of criteria.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Returns a clone of this object.
    `X509AttributeCertificateHolder` | `getAttributeCert()` Returns the attribute certificate holder which must be matched.
    `java.util.Date` | `getAttributeCertificateValid()` Get the criteria for the validity.
    `AttributeCertificateHolder` | `getHolder()` Gets the holder.
    `AttributeCertificateIssuer` | `getIssuer()` Returns the issuer criterion.
    `java.math.BigInteger` | `getSerialNumber()` Gets the serial number the attribute certificate must have.
    `java.util.Collection` | `getTargetGroups()` Gets the target groups.
    `java.util.Collection` | `getTargetNames()` Gets the target names.
    `boolean` | `match(java.lang.Object obj)` Decides if the given attribute certificate should be selected.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### match

          public boolean match(java.lang.Object obj)

      Decides if the given attribute certificate should be selected.
      Specified by:
        `match` in interface `org.bouncycastle.util.Selector`
      Parameters:
        `obj` - The X509AttributeCertificateHolder which should be checked.
      Returns:
        `true` if the attribute certificate is a match `false` otherwise.

    - #### clone

          public java.lang.Object clone()

      Returns a clone of this object.
      Specified by:
        `clone` in interface `org.bouncycastle.util.Selector`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        the clone.

    - #### getAttributeCert

          public X509AttributeCertificateHolder getAttributeCert()

      Returns the attribute certificate holder which must be matched.
      Returns:
        Returns an X509AttributeCertificateHolder

    - #### getAttributeCertificateValid

          public java.util.Date getAttributeCertificateValid()

      Get the criteria for the validity.
      Returns:
        Returns the attributeCertificateValid.

    - #### getHolder

          public AttributeCertificateHolder getHolder()

      Gets the holder.
      Returns:
        Returns the holder.

    - #### getIssuer

          public AttributeCertificateIssuer getIssuer()

      Returns the issuer criterion.
      Returns:
        Returns the issuer.

    - #### getSerialNumber

          public java.math.BigInteger getSerialNumber()

      Gets the serial number the attribute certificate must have.
      Returns:
        Returns the serialNumber.

    - #### getTargetNames

          public java.util.Collection getTargetNames()

      Gets the target names. The collection consists of GeneralName objects.

      The returned collection is immutable.

      Returns:
        The collection of target names

    - #### getTargetGroups

          public java.util.Collection getTargetGroups()

      Gets the target groups. The collection consists of GeneralName objects.

      The returned collection is immutable.

      Returns:
        The collection of target groups.